
Redmine - Defect #38118

Ruby 3.2: Markdown formatter warns "undefining the allocator of T_DATA class

Redcarpet::Markdown"

2022-12-26 08:43 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Ruby support Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Markdown formatter displays a warning "undefining the allocator of T_DATA class Redcarpet::Markdown" with Ruby 3.2.

$ bin/rails test test/unit/lib/redmine/wiki_formatting/markdown_formatter_test.rb

Run options: --seed 34679

# Running:

/path/to/redmine/lib/redmine/wiki_formatting/markdown/formatter.rb:76: warning: undefining the all

ocator of T_DATA class Redcarpet::Markdown

......S............

Related issues:

Related to Redmine - Feature #38099: Add Ruby 3.2 support Closed

Related to Redmine - Patch #38220: Update Redcarpet to 3.6 Closed

History

#1 - 2022-12-26 08:44 - Go MAEDA

- Related to Feature #38099: Add Ruby 3.2 support added

#2 - 2022-12-26 08:57 - Go MAEDA

The fix for the issue is will be included in the next release of Redcarpet.

https://github.com/vmg/redcarpet/pull/721

#3 - 2023-03-27 15:18 - Go MAEDA

- Related to Patch #38220: Update Redcarpet to 3.6 added

#4 - 2023-03-27 15:19 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Fixed by #38220.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 1/1

https://github.com/vmg/redcarpet/pull/721
https://www.redmine.org/issues/38220
http://www.tcpdf.org

